Name:           gettext-commons
Version:        0.9.6
Release:        1%{?dist}
Summary:        Java classes for internationalization through GNU gettext

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://code.google.com/p/gettext-commons/
Source0:        http://gettext-commons.googlecode.com/files/%{name}-%{version}-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  junit
BuildRequires:  maven2
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-surefire
Requires:       java

%description
This lightweight library combines the power of the unix-style gettext tools
with the widely used Java ResourceBundles.  This makes it possible to use the
original text instead of arbitrary property keys, which is less cumbersome and
makes programs easier to read.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Development/Documentation
Requires:       %{name}-%{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
-Dmaven.repo.local=$MAVEN_REPO_LOCAL \
install javadoc:javadoc

%install
rm -rf %buildroot
install -d 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/*  \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Thu Sep 03 2009 Andrew Overholt <overholt@redhat.com> 0.9.6-1
- 0.9.6

* Thu Jan 29 2009 Andrew Overholt <overholt@redhat.com> 0.9.2-1
- Initial package
